Bug 1483909 (CVE-2017-6419)

Summary: CVE-2017-6419 libmspack, clamav: heap-based buffer overflow in mspack/lzxd.c
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dan, gbcox, janfrode, ondrejj, orion, redhat-bugzilla, rhbugs, rjones, sardella, sergio, steve, tibbs
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20170329,reported=20170807,source=cve,cvss3=6.5/CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H,cwe=CWE-122,fedora-all/clamav=affected,epel-all/clamav=affected,rhel-7/libmspack=wontfix,fedora-all/libmspack=affected,epel-all/libmspack=affected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-09-26 05:46:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1483911, 1483912, 1483999, 1484000    
Bug Blocks:    

Description Adam Mariš 2017-08-22 09:09:07 UTC
mspack/lzxd.c in libmspack 0.5alpha, as used in ClamAV 0.99.2, allows
remote attackers to cause a denial of service (heap-based buffer
overflow and application crash) or possibly have unspecified other
impact via a crafted CHM file.

Upstream patch:

https://github.com/vrtadmin/clamav-devel/commit/a83773682e856ad6529ba6db8d1792e6d515d7f1

Comment 1 Adam Mariš 2017-08-22 09:10:29 UTC
Created clamav tracking bugs for this issue:

Affects: epel-all [bug 1483912]
Affects: fedora-all [bug 1483911]

Comment 2 Adam Mariš 2017-08-22 12:46:12 UTC
Created libmspack tracking bugs for this issue:

Affects: fedora-all [bug 1483999]

Comment 3 Adam Mariš 2017-08-22 12:48:14 UTC
Created libmspack tracking bugs for this issue:

Affects: epel-all [bug 1484000]

Comment 4 Sergio Monteiro Basto 2018-01-11 04:08:39 UTC
Same as bug 1472776#c7 libclamav/libmspack.c only exist in clamav  0.99.3 [1], in 0.99.2 we only have libclamav/mspack.c [2]. 


[1]
https://github.com/vrtadmin/clamav-devel/tree/0.99.3/libclamav

[2]
https://github.com/vrtadmin/clamav-devel/blob/0.99.2/libclamav/mspack.c